<?php
require_once( 'datacon.php' );
require_once( $lib_db );

$db = new TDB_con('localhost', $CNF_BASE, $CNF_USUARIO, $CNF_CLAVE, $db_charset);
$db->dbg_on = true;

function reconectar_db( ){
    global $db, $CNF_BASE, $CNF_USUARIO, $CNF_CLAVE, $db_charset;
    $db->close();
    $db = new TDB_con('localhost', $CNF_BASE, $CNF_USUARIO, $CNF_CLAVE, $db_charset);
}


$nombremes = array('Enero', 'Febrero', 'Marzo',
    'Abril', 'Mayo', 'Junio',
    'Julio', 'Agosto', 'Septiembre',
    'Octubre', 'Noviembre', 'Diciembre');

$nombremes_en = array('January', 'February', 'March',
    'April', 'May', 'June',
    'July', 'August', 'September',
    'October', 'November', 'December');




function swap($a, $b) {
    $x = $a;
    $a = $b;
    $b = $x;
}

function pad2($s) {
    while (strlen($s) < 2) {
        $s = '0' . $s;
    }
    return $s;
}

function pad($s, $n, $c = '0') {
    while (strlen($s) < $n) {
        $s = $c . $s;
    }
    return $s;
}

function nowstr() {
    $fecha = getdate();
    $a = $fecha["year"];
    $m = $fecha["mon"];
    $d = $fecha["mday"];
    $ds = $fecha["wday"];
    $h = $fecha["hours"];
    $min = $fecha["minutes"];
    return "" . $a . "-" . pad2($m) . "-" . pad2($d) . ' ' . pad2($h) . ':' . pad2($min);
}

function ahora() {
    $fecha = getdate();
    $a = $fecha["year"];
    $m = $fecha["mon"];
    $d = $fecha["mday"];
    $ds = $fecha["wday"];
    $h = $fecha["hours"];
    $min = $fecha["minutes"];
    return "" . pad2($d) . '/' . pad2($m) . '/' . $a . ' ' . pad2($h) . ':' . pad2($min);
}

function wrln($s) {
    echo $s;
    echo "\n";
}

function wrbr($s) {
    wrln($s . '<br>');
}

function segsToHMS($segs) {
    $horas = (int) ( $segs / 3600 );
    $residuo = $segs - $horas * 3600;
    $minutos = (int) ( $residuo / 60 );
    $residuo = $residuo - $minutos * 60;
    $segs = (int) $residuo;
    $residuo = $residuo - $segs;
    $dsegs = (int) ( $residuo * 100 + 0.5 );

    $res = pad2($horas) . ':' . pad2($minutos) . ':' . pad2($segs) . ',' . $dsegs;
    return $res;
}

function hmsToSegs($hms_str) {
    $s = trim($hms_str);
    $idec = strpos($s, ',');
    if ($idec === false) {
        $dsegs = 0;
    } else {
        $ss = '0.' . substr($s, $idec + 1);
        $dsegs = (int) ((0.0 + $ss + 0.0 ) * 100.0 + 0.5);
        $s = substr($s, 0, $idec);
    }

    $i1 = strpos($s, ':');
    if ($i1 === false) {
        $segs = (int) $s;
        return ( $segs + $dsegs / 100.0 );
    }

    $pal1 = substr($s, 0, $i1);
    $s = substr($s, $i1 + 1);

    $i2 = strpos($s, ':');
    if ($i2 === false) {
        $minutos = (int) $s;
        $segs = (int) $pal1;
        return ( $minutos * 60.0 + $segs + $dsegs / 100.0 );
    }

    $pal2 = substr($s, 0, $i2);
    $s = substr($s, $i2 + 1);
    $horas = (int) $pal1;
    $minutos = (int) $pal2;
    $segs = (int) $s;

    return( $horas * 3600 + $minutos * 60 + $segs + $dsegs / 100.0 );
}

?>
